Page MenuHomePhabricator

Images with extra parameters (e.g. low-quality JPEG) are not rendered in beta
Closed, ResolvedPublic

Details

Related Objects

StatusSubtypeAssignedTask
Resolvedori
ResolvedKrenair
Resolved AlexMonk-WMF
Resolvedfgiunchedi
Resolved AlexMonk-WMF
ResolvedKrenair
Resolvedfgiunchedi
ResolvedKrenair
DeclinedNone
Resolvedmobrovac
ResolvedKrinkle
ResolvedKartikMistry
ResolvedKartikMistry
Resolvedbd808
InvalidNone
DeclinedNone
Resolveddduvall
Resolveddduvall

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:43 AM
bzimport set Reference to bz69757.
bzimport added a subscriber: Unknown Object (MLST).

I think that is handled by deployment-upload.eqiad.wmflabs which is more or less a simulation of the old media servers using nginx. IIRC thumb.php got copied there a while ago and never got updated.

I think that is handled by deployment-upload.eqiad.wmflabs which is more or less a simulation of the old media servers using nginx. IIRC thumb.php got copied there a while ago and never got updated.

Is that not supposed to be auto updated with the rest of the codebase? cc'ing @Reedy for how it's done in prod.

The instance deployment-upload has been put in a hurry by someone (can't remember). Whatever thumb.php code is there is most probably terribly outdated.

Someone needs to recreate deployment-upload entirely and have it properly puppetized and kept up to date automatically.

I am not volunteering, our thumbnail infrastructure scares me.

hashar triaged this task as Lowest priority.Feb 10 2015, 8:35 PM
greg raised the priority of this task from Lowest to Medium.Mar 2 2015, 5:22 PM
greg moved this task from To Triage to Backlog on the Beta-Cluster-Infrastructure board.
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript

@hashar, tell you the truth, I don't know myself how new code is deployed to betacluster, especially entry points - its all pretty scary to me too )

@hashar, tell you the truth, I don't know myself how new code is deployed to betacluster, especially entry points - its all pretty scary to me too )

It's not scary at all:

@hashar, tell you the truth, I don't know myself how new code is deployed to betacluster, especially entry points - its all pretty scary to me too )

Also, to be clear: claiming ignorance is not going to be a successful long term collaboration method. Beta Cluster maintenance is everyone's responsibility. 6 people in RelEng can't know how all of the software 130 full-time engineers create works.

@greg, this is awesome list of links! (is it posted on wikitech somewhere?). When scap and config updates run, do they include the entry points such as thumb.php, or is it only for the config updates? Also, the proper word is not "ignorance", its "fear" ;)

@greg, this is awesome list of links! (is it posted on wikitech somewhere?). When scap and config updates run, do they include the entry points such as thumb.php, or is it only for the config updates? Also, the proper word is not "ignorance", its "fear" ;)

https://wikitech.wikimedia.org/wiki/Nova_Resource:Deployment-prep/How_code_is_updated

Take a look, it's all there in the code :) You're a smart developer.

Thumbnail entry points are not deployed, they are just there. See the blocked task.

Change 256589 had a related patch set uploaded (by Gergő Tisza):
Fix upload rewrite rules for beta

https://gerrit.wikimedia.org/r/256589

Tgr renamed this task from Low-quality images are not rendered in beta to Images with extra parameters (e.g. low-quality JPEG) are not rendered in beta.Dec 2 2015, 10:17 PM
Tgr updated the task description. (Show Details)

Change 256589 merged by Ori.livneh:
Fix upload rewrite rules for beta

https://gerrit.wikimedia.org/r/256589

hashar assigned this task to ori.
hashar added a subscriber: ori.

http://upload.beta.wmflabs.org/wikipedia/en/thumb/4/4d/Snowman.JPG/qlow-120px-Snowman.JPG works (as well as with other sizes.

Seems to have been fixed by @ori with https://gerrit.wikimedia.org/r/256589

Beta is also now running on Swift with up-to-date MediaWiki code.